#
# spec file for package php5-pear-mail (Version 1.1.9)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
#

# norootforbuild

%if 0%{?suse_version} >= 1010 || 0%{?sles_version} >= 10
%define _name    php5-pear-mail
%define _phpdir  php5
%define _phpbin  %{_bindir}/php5
%define _peardir PEAR
%define _pear    pear5
%endif
%if 0%{?suse_version} < 1010 || 0%{?sles_version} == 9
%define _name    php4-pear-mail
%define _phpdir  php
%define _phpbin  %{_bindir}/php
%define _peardir /
%define _pear    pear
%endif
%if 0%{?centos_version} || 0%{?fedora_version} || 0%{?rhel_version}
%define _name    php-pear-mail
%define _phpdir  php
%define _phpbin  %{_bindir}/php
%define _peardir /
%define _pear    pear
%endif


%define peardir %(%{_pear} config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  /var/lib/pear

Name:           %{_name}
#%define peardir %{_datadir}/%{_phpdir}/%{_peardir}
License:        BSD
Group:          Productivity/Networking/Web/Servers
Version:        1.1.14
Release:        2.1
Summary:        PEAR class that provides multiple interfaces for sending emails
URL:            http://pear.php.net/package/Mail
%if 0%{?suse_version} >= 1010
PreReq:			php5-pear
Requires:               php5-pear php5-pear-net_smtp
BuildRequires:          php5-pear
%endif

%if 0%{?suse_version} < 1010 && 0%{?suse_version} > 0
PreReq:			php4-pear
Requires:               php4-pear php4-pear-net_smtp
BuildRequires:          php4-pear
%endif

%if 0%{?centos_version} || 0%{?fedora_version} || 0%{?rhel_version}
PreReq:			php-pear
Requires:               php-pear php-pear-net_smtp
BuildRequires:          php-pear
%endif

Provides:       php-pear-mail
Source:         http://pear.php.net/get/Mail-%{version}.tgz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
PEAR's Mail package defines an interface for implementing mailers under
the PEAR hierarchy. It also provides supporting functions useful to
multiple mailer backends. Currently supported backends include: PHP's
native mail() function, sendmail, and SMTP. This package also provides
a RFC822 email address list validation utility class.



Authors:
--------
    Chuck Hagenbuch <chuck@horde.org>
    Richard Heyes
    Jon Parise <jon@php.net>

%prep
%if %suse_version <= 1010
%setup -c
%else
%setup -c -T

%{_pear} -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s
%endif

%build

%install
%if %suse_version <= 1010
%__mv package*.xml Mail-%{version}
pushd Mail-%{version}
%{_pear} -v -d doc_dir=%{_docdir}/%{name} install -R "$RPM_BUILD_ROOT" package.xml
popd
%else
%{_pear} -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
%__rm pearrc
%endif

# Clean up unnecessary files
%__rm %{buildroot}/%{peardir}/.filemap
%__rm %{buildroot}/%{peardir}/.lock
%__rm -rf %{buildroot}/%{peardir}/.registry
%__rm -rf %{buildroot}%{peardir}/.channels
%__rm %{buildroot}%{peardir}/.depdb
%__rm %{buildroot}%{peardir}/.depdblock


# Install XML package description
%__mkdir_p %{buildroot}%{xmldir}
%__tar -xzf %{SOURCE0} package.xml
%__cp -p package.xml %{buildroot}%{xmldir}/Mail.xml

%clean

%__rm -rf %{buildroot}

%post

%{_pear} install --nodeps --soft --force --register-only %{xmldir}/Mail.xml

%postun

if [ "$1" -eq "0" ]; then
    %{_pear} uninstall --nodeps --ignore-errors --register-only Mail
fi

%files

%defattr(-,root,root)
%{peardir}/*
%{xmldir}/Mail.xml

%changelog -n %{name}
* Tue Apr 10 2007 - Marcus Hüwe <suse-tux@gmx.de>
- now really fixed build for <= 1010
* Tue Feb 27 2007 - judas_iscariote@shorewall.net
- Fix logical error , should be <= 1010 in %install 
* Tue Feb 27 2007 - Marcus Hüwe <suse-tux@gmx.de>
- make it work on older suse versions again
- introduced rpm macros
* Thu Feb 22 2007 - judas_iscariote@shorewall.net
- debuginfo packages makes no sense here.
- convert to new pear package installation format, still experimental and subject to change.
* Sun Oct 29 2006 - Marcus Hüwe <suse-tux@gmx.de>
- update to version 1.1.14
* Sat Jun 17 2006 - Marcus Hüwe <suse-tux@gmx.de>
- update to version 1.1.10
- made spec file portable for older/new suse-versions
- removed #usedforbuild, added %clean-macro
- added rpmmacros (changed "mv" to "%__mv" etc.)
- remove Packager-tag :)
* Sun Jun 11 2006 Marcus Hüwe <suse-tux@gmx.de>
- built for 10.0 because it's missing there!
- added Packager-tag
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 19 2006 - mmarek@suse.de
- fix filelist, remove temporary files created by pear installer
- unify php5-pear-*.spec files
- increase php's memory_limit during installation (parsing
  xml needs more than default 8M sometimes)
* Mon Jan 16 2006 - mmarek@suse.cz
- created package to satisfy horde dependencies
